A=[1 3 2;0 2 0;0 -3 3];
  B=[2 1;1 1;-1 -1];
  Qc=ctrb(A,B);     %产生能控性矩阵
  n=size(A);     %计算矩阵A的行数和列数
  r=rank(Qc);     %计算能控性矩阵的秩
 if r==n(1)       %判别能控性
 disp('The system is controlled!')
else
disp('The system is not controlled!')
 end